Bug 437295 - Freecol crashes during Unload
Freecol crashes during Unload
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-03-13 09:22 EDT by ddiddis-backup
Modified: 2008-04-18 18:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-18 18:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
saved game (30.41 KB, application/octet-stream)
2008-03-13 18:06 EDT, Michael Schwendt
no flags Details

  None (edit)
Description ddiddis-backup 2008-03-13 09:22:48 EDT
Description of problem:
"Unload" of cargo from ships or wagon trains crashes the program.

Version-Release number of selected component (if applicable):

How reproducible:
3x, has never worked.

Steps to Reproduce:
1. Load cargo onto ship or wagon train.
2. Click "Unload" button.

Actual results:

Expected results:
Should unload cargo and continue to run.
Comment 1 Hans de Goede 2008-03-13 17:02:41 EDT
Can you try reproducing this using the SUN jdk please, I would like to know
wether this is an icedtea or a freecol bug.
Comment 2 Michael Schwendt 2008-03-13 18:06:09 EDT
Created attachment 297994 [details]
saved game

It is easier for you I guess:

1. "Open" the saved game.
2. Click "Jamestown".
3. Click "Unload".
Comment 3 Michael Schwendt 2008-03-13 18:08:34 EDT
Btw, it doesn't crash. It locks up hard occupying cpu power.
Comment 4 ddiddis-backup 2008-03-13 19:01:27 EDT
Hi! I have java-1.5.0-sun- but I dunno how to make it work
with freecol. Too old?
Comment 5 Hans de Goede 2008-03-14 06:36:20 EDT
(In reply to comment #2)
> Created an attachment (id=297994) [edit]
> saved game
> It is easier for you I guess:
> 1. "Open" the saved game.
> 2. Click "Jamestown".
> 3. Click "Unload".


This does not reproduce for me with the latest java-1.6.0-openjdk from rawhide,
since freecol and higlayout are identical in rawhide / F-8. I guess this is
causes by a now fixed icedtea (renamed recently to openjdk) bug, which is fixed
in rawhide.

You can try filing a bug against icedtea asking for it to be updated in F-8,
pointing to this bug as rationale. In the mean time I'm going to close this with
a resolution of rawhide as its fixed there (and fixing this in F-8 is outside my

Note You need to log in before you can comment on or make changes to this bug.